Subject: Re: [PATCH] sha1dc: update from upstream

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 16 May 2019 10:31:10 +0200

On Thu, May 16 2019, Osipov, Michael wrote:

> Am 2019-05-15 um 13:48 schrieb Ævar Arnfjörð Bjarmason:
>>
>> On Tue, May 14 2019, Osipov, Michael wrote:
>>
>>> Hi,
>>>
>>> Am 2019-05-14 um 00:17 schrieb Ævar Arnfjörð Bjarmason:
>>>> Update sha1dc from the latest version by the upstream
>>>> maintainer[1]. See 07a20f569b ("Makefile: fix unaligned loads in
>>>> sha1dc with UBSan", 2019-03-12) for the last update.
>>>>
>>>> This fixes an issue where HP-UX IA64 was wrongly detected as a
>>>> Little-endian instead of a Big-endian system, see [2] and [3].
>>>>
>>>> 1. https://github.com/cr-marcstevens/sha1collisiondetection/commit/855827c583bc30645ba427885caa40c5b81764d2
>>>> 2. https://public-inbox.org/git/[email-masked]/
>>>> 3. https://github.com/cr-marcstevens/sha1collisiondetection/pull/50
>>>>
>>>> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
>>>> ---
>>>>
>>>> n Thu, May 09 2019, Osipov, Michael wrote:
>>>>
>>>>> Hey there,
>>>>>
>>>>> Am 2019-05-09 um 09:32 schrieb Ævar Arnfjörð Bjarmason:
>>>>>>
>>>>>> On Wed, May 08 2019, Osipov, Michael wrote:
>>>>>>
>>>>>>> Hi folks,
>>>>>>
>>>>>> Hi see Documentation/SubmittingPatches for how to submit patches inline
>>>>>> instead of as attachments.
>>>>>
>>>>> Do you want me to resend the configure.ac change as per wiki article?
>>>>> I can also create a PR on GitHub. I am happy with both as long as I
>>>>> don't have to retain the patch for myself only ;-)
>>>>
>>>> Yeah that patch to git.git should be done separately. I see your PR
>>>> went in upstream, here's a patch to update our code to match.
>>>
>>> To avoid misunderstandings, I have factored out the Git patch and
>>> created a PR: https://github.com/git/git/pull/608
>>
>> Thanks. If you want to submit it for inclusion you'll need to submit it
>> as a patch here to the ML as described here:
>> https://github.com/git/git/blob/master/Documentation/SubmittingPatches
>>
>> Or you can use this pull-request-by-proxy thing:
>> https://gitgitgadget.github.io/
>>
>> Or if you don't want to deal with any of that crap just say and I'll
>> E-Mail this to the list for you. Just want to give you a chance to do it
>> :)
>
> Yes, please do so. It seems like our corporate mail relay server does
> not allow sending emails outside of our dns namespace. I get bounces
> from mailer daemon.

Hi. No problem, but I just noticed your commit is missing a
signed-off-by (required for inclusion in git.git), please "git commit
--amend -s" it and re-push that PR, then I can pull it from there.